//Create the rooms, but leave them empty for now
void createAllRooms(){
  
  intro = new Room("Introduction", false, #ffffff, #ffffff, false);
    intro.noFloor();
  crime = new Room("Caper Description", false, #ffffff, #ffffff, false);
    crime.noFloor();
  instructions = new Room("Instructions", false, #ffffff, #ffffff, true);
    instructions.noFloor();
  ending = new Room("Ending", false, #ffffff, #ffffff, false);
    ending.noFloor();
  lobby = new Room("Lobby", true, #d9d9d9, #f2f2f2, true);
    computer = new Room("Lobby Computer", true, #6666ff, #6666ff, true);
    email = new Room("Emails", false, computer.wall_color, computer.wall_color, true);
    supply_inventory = new Room("Supply Room Inventory List", false, computer.wall_color, computer.wall_color, true);
    check_in = new Room("Check-In Check-Out System", false, computer.wall_color, computer.wall_color, true);
      computer.noFloor();
      email.noFloor();
      supply_inventory.noFloor();
      check_in.noFloor();
  hallway = new Room("Hallway", true, #d9d9d9, #f2f2f2, true);
  paintings = new Room("Paintings Hall", true, #d68f8f, #8c8c8c, true);
    TrialRoom = new Room("The Trial of Anne Von Syne", false, paintings.wall_color, paintings.wall_color, true);
    StillLifeRoom = new Room("Still Life", false, paintings.wall_color, paintings.wall_color, true);
    PortraitRoom = new Room("Mathson Family Portrait", false, paintings.wall_color, paintings.wall_color, true);
    KnightRoom = new Room("The Knight of Six Stars", false, paintings.wall_color, paintings.wall_color, true);
      TrialRoom.noFloor();
      StillLifeRoom.noFloor();
      PortraitRoom.noFloor();
      KnightRoom.noFloor();    
  modern = new Room("Modern Art Gallery", true, #C5D0DB, #ffffff, true);
    MetamorphosisRoom = new Room("Metamorphosis", false, modern.wall_color, modern.wall_color, true);
      MetamorphosisRoom.noFloor();
  relics = new Room("Artifacts Gallery", true, #572Ad4, #8c8c8c, true);
    CoinsRoom = new Room("Parabolean Coins", false, #ffffff, #ffffff, true);
      CoinsRoom.noFloor();
    ChainRoom = new Room("Chain of Asymptoth", false,  #ffffff, #ffffff, true);
      ChainRoom.noFloor();
  natural_history = new Room("Hall of Natural History", true, #128016, #8c8c8c, true);
    NHFootprint = new Room("Footprint", false, #fcff54, #fcff54, true);
    NHFootprint.noFloor();
  security = new Room("Security Station", true, #3c423d, #8c8c8c, true);
  giftshop = new Room("Gift Shop", true, #cc8fbe, #8c8c8c, true);
  cafe = new Room("Cafe", true, #8fccb3, #8c8c8c, true);
  closet = new Room("Supply Closet", true, #78733d, #8c8c8c, true);
    SupplyFootprint = new Room("Footprint", false, closet.floor_color, closet.floor_color, true);
    SupplyFootprint.noFloor();
  FullFootprint = new Room("Footprint", false, #ffffff, #ffffff, true);
    FullFootprint.noFloor();
  Report = new Room("Case Report", false, #ffffff, #ffffff, true);
    Report.noFloor();
}

//Create ALL THE OBJECTS AND PEOPLE
void createAllObjects() {
    
  //INTRO
  introtext = new Door("IntroText.png", crime, "");
  crimetext = new Door("CrimeText.png", instructions, "");
  instructionstext = new ExitX("Instructions.png");
  endingtext = new Door("EndingText.png", lobby, "");
  
  //GENERAL
  ExitToHallway = new Door("HallwaySign.png", hallway, "footstep");
  LobbyDoor = new Door("LobbySignRight.png", lobby, "footstep");
  LobbyDoorLeft = new Door("LobbySignLeft.png", lobby, "footstep");
  exitX = new ExitX("ExitX.png");
  oNHFullFootprint = new NHFootprintScreen("NHFootprint.png");
  oSupplyFullFootprint = new SupplyFootprintScreen("SupplyFootprint.png");
  inchOverlap = new Inch("InchOverlap.png");
  
  //LOBBY
  oDesk = new Desk("Desk2.png");
  oComputer = new Computer("Computer2.png");
  pDirector = new Director("Director.png");
  pReceptionist = new Receptionist("Receptionist.png");
  LobbyHallwayDoor = new Door("HallwayDoorfromLobby.png", hallway, "footstep");
  GiftShopDoor = new Door("GiftShopSign.png", giftshop, "footstep");
  CafeDoor = new Door("CafeSign.png", cafe, "footstep");
  
    //LOBBY COMPUTER
    emailIcon = new Door("EmailIcon.png", email, "");
    checkInIcon = new Door("CheckInIcon.png", check_in, "");
    inventoryIcon = new Door("SupplyIcon.png", supply_inventory, "");
    computerExit = new Door("ExitX.png", lobby, "");
    oEmail = new EmailScreen("Email.png");
    oCheckIn = new CheckInScreen("EntryLog.png");
    oSupplyInventory = new InventoryScreen("SupplyInventory.png");
  
  //HALLWAY
  ModernArtDoor = new Door("ModernArtDoor.png", modern, "footstep");
  PaintingsDoor = new Door("PaintingsDoor.png", paintings, "footstep");
  RelicsDoor = new Door("RelicsDoor.png", relics, "footstep");
  NaturalHistoryDoor = new Door("NaturalHistoryDoor.png", natural_history, "footstep");
  
  //PAINTINGS
  pPaintings = new Paintings("Paintings.png");
  oMathsonPortrait = new MathsonPortrait("PortraitWall.png");
  oKnightPainting = new KnightPainting("KnightWall.png");
  oStillLife = new StillLife("StillLifeWall.png");
  oTrialPainting = new TrialPainting("TrialWall.png");
  oPortraitArt = new PortraitArt("PortraitScreen.png");
  oKnightArt = new KnightArt("KnightScreen.png");
  oStillLifeArt = new StillLifeArt("StillLife.png");
  oTrialArt = new TrialArt("Trial.png");
  
  //MODERN
  pModern = new Modern("ModernArtist.png");
  oCube = new Cube("Cube2.png");
  oMetamorphosis = new Metamorphosis("MetamorphosisWall.png");
  oLegs = new Legs("Legs.png");
  oMetamorphosisArt = new MetamorphosisArt("MetamorphosisScreen.png");
  
  //RELICS
  oChain = new Chain("Necklace.png");
  oCoins = new Coins("Coins.png");
  oShield = new Shield("Shield.png");
  oSign = new Sign("Sign2.png");
  oCoinsScreen = new CoinsScreen("CoinsScreen.png");
  oChainScreen = new ChainScreen("ChainScreen.png");
  
  //NATURAL HISTORY
  pScientist = new Scientist("Scientist.png");
  oBird = new Bird("Bird.png");
  oDinosaur = new Dinosaur("Dinosaur.png");
  oDinoFloor = new DinoFloor("DinoFloor2.png");
  SecurityDoor = new Door("SecurityDoor.png", security, "door");
  oNHFootprint = new NHFootprintScreen("NHFootprint.png");
  
  //SECURITY
  pSecurity = new Security("SecurityGuard.png");
  oClock = new Clock("Clock2.png");
  oTerminal = new Terminal("SecurityTerminal2.png");
  oGarbage = new Garbage("Trash2.png");
  oWires = new Wires("Wires.png");
  SecurityExit = new Door("NaturalHistoryDoorFromSec.png", natural_history, "door");
  
  //GiftShop
  pGiftShop = new GiftShop("GiftShopManager.png");
  oRegister = new Register("Register2.png");
  oCounter = new Counter("GiftCounter2.png");
  oModelDinosaur = new ModelDinosaur("DinosaurModel2.png");
  oMinicube = new Minicube("CubeModel2.png");
  oPoster = new Poster("KnightWall.png");
  
  //Cafe
  pBarista = new Barista("CafeManager.png");
  oChair1 = new Chair("LeftChair2.png");
  oChair2 = new Chair("RightChair2.png");
  oCafeTable = new CafeTable("Table2.png");
  oCafeCounter = new CafeCounter("CafeCounter2.png");
  SupplyDoor = new Door("SupplyDoor.png", closet, "door");
  
  //Supply Closet
  SupplyExit = new Door("SupplyExit.png", cafe, "door");
  oMop1 = new Mop("Mop2.png");
  oMop2 = new Mop("Mop3.png");
  oBucket = new Bucket("Bucket.png");
  oPuddle = new Puddle("Puddle2.png");
  oStepladder = new Stepladder("Stepladder2.png");
  oHammer = new Hammer("Hammer2.png");
  oScrewdriver = new Screwdriver("Screwdriver2.png");
  oWrench = new Wrench("Wrench2.png");
  oHook = new Hook("Hooks.png");
  oSupplyFootprint = new SupplyFootprintScreen("SupplyFootprint.png");
  
   
}

//Put everything in the rooms
void addObjectsToRooms() {
  
  intro.addObject(introtext, 5, 5);
  crime.setAnnouncement("Caper #1: \"Two Plus Two is Forgery\"\n\nConceived, programmed, and written by Marc Campasano\nArt by John Flanagan and Rachel Jane Andelman\nMusic by Jon Fuller");
  crime.addObject(crimetext, 5, 5);
  instructions.addObject(instructionstext, 5, 5);
  instructions.setAnnouncement("Game instructions");
  ending.addObject(endingtext, 5, 5);
  ending.setAnnouncement("You did it!");
  
  FullFootprint.addObject(oNHFullFootprint, 425, 200);
  FullFootprint.addObject(oSupplyFullFootprint, 200, 5);
  FullFootprint.addObject(exitX, 825, 5);
  FullFootprint.addObject(inchOverlap, 700, 200);
  FullFootprint.setAnnouncement("You've found both parts of a full footprint. It looks like there's one inch of overlap between them.");
  FullFootprint.setMathHint("There's one inch of overlap between the two footprints. If we subtract the overlap from the total length, that's the length of the foot.");
  oNHFullFootprint.mathhint = FullFootprint.mathhint;
  oSupplyFullFootprint.mathhint = FullFootprint.mathhint;
  
  lobby.setAnnouncement("You are in the lobby of the Mathsonian Museum of Art and Science.");
  lobby.addObject(LobbyHallwayDoor, 300, 80);
  lobby.addObject(oDesk, 540, 310);
  lobby.addObject(oComputer, 700, 285);
  lobby.addObject(pDirector, 30, 210);
  lobby.addObject(pReceptionist, 190, 230);
  lobby.addObject(GiftShopDoor, 5, 5);
  lobby.addObject(CafeDoor, 790, 5);
  
  computer.setAnnouncement("Using the password, you access Phil's front desk computer.\n\nThis information has all been added to your clue menu so you can reread it at any time.");
  computer.setMathHint("There's a lot of data here. Take a look in the files to see what there is to learn.");
  computer.addObject(emailIcon, 50, 50);
  computer.addObject(checkInIcon, 150, 50);
  computer.addObject(inventoryIcon, 250, 50);
  computer.addObject(computerExit, 825, 5);
  email.setAnnouncement(oEmail.desc);
  email.setMathHint("Joe Gill, the history director, says he's sick. Does that match the attendance record on this computer?");
  email.addObject(oEmail, 5, 5);
  email.addObject(exitX, 825, 5);
  check_in.setAnnouncement(oCheckIn.desc);
  check_in.setMathHint("Now this is helpful! If we knew what time the burglary happened last night, this would tell us who was there at the same time.");
  check_in.addObject(oCheckIn, 5, 5);
  check_in.addObject(exitX, 825, 5);
  supply_inventory.setAnnouncement(oSupplyInventory.desc);
  supply_inventory.setMathHint("So this is what should be in the supply closet. Is everything there?");
  supply_inventory.addObject(oSupplyInventory, 5, 5);
  supply_inventory.addObject(exitX, 825, 5);
  
  hallway.setAnnouncement("This is the hallway to all the exhibits.");
  hallway.addObject(ModernArtDoor, 25, 128);
  hallway.addObject(PaintingsDoor, 240, 124);
  hallway.addObject(RelicsDoor, 455, 132);
  hallway.addObject(NaturalHistoryDoor, 670, 129);
  hallway.addObject(LobbyDoor, 790, 5);
  
  paintings.setAnnouncement("This is the Mathson Foundation's famous paintings collection.");
  paintings.setMathHint("If the thief wasn't very careful, maybe a forged painting wouldn't exactly match its official description.");
  paintings.addObject(pPaintings, 50, 210);
  paintings.addObject(oMathsonPortrait, 200, 100);
  paintings.addObject(oKnightPainting, 615, 100);
  paintings.addObject(oStillLife, 775, 180);
  paintings.addObject(oTrialPainting, 615, 260);
  PortraitRoom.addObject(oPortraitArt, 75, 15);
  PortraitRoom.addObject(exitX, 825, 5);
  PortraitRoom.setMathHint(oMathsonPortrait.mathhint);
  PortraitRoom.setAnnouncement(oMathsonPortrait.desc);
  KnightRoom.addObject(oKnightArt, 250, 15);
  KnightRoom.addObject(exitX, 825, 5);
  KnightRoom.setMathHint(oKnightPainting.mathhint);
  KnightRoom.setAnnouncement(oKnightPainting.desc);
  StillLifeRoom.addObject(oStillLifeArt, 200, 25);
  StillLifeRoom.setAnnouncement(oStillLife.desc);
  StillLifeRoom.setMathHint(oStillLife.mathhint);
  StillLifeRoom.addObject(exitX, 825, 5);
  TrialRoom.addObject(oTrialArt, 40, 100);
  TrialRoom.setAnnouncement(oTrialPainting.desc);
  TrialRoom.setMathHint(oTrialPainting.mathhint);
  TrialRoom.addObject(exitX, 825, 5);
  paintings.addObject(ExitToHallway, 790, 10);
  
  modern.setAnnouncement("This is the modern art wing. It's a little weird. But it's trendy!");
  modern.setMathHint("Let's see what we can measure about this...um...art.");
  modern.addObject(pModern, 100, 200);
  modern.addObject(oCube, 300, 325);
  modern.addObject(oLegs, 580, 300);
  modern.addObject(oMetamorphosis, 425, 130);
  MetamorphosisRoom.addObject(oMetamorphosisArt, 25, 75);
  MetamorphosisRoom.setMathHint(oMetamorphosisArt.mathhint);
  MetamorphosisRoom.setAnnouncement(oMetamorphosisArt.desc);
  MetamorphosisRoom.addObject(exitX, 825, 5);
  modern.addObject(ExitToHallway, 790, 10);
  
  relics.setAnnouncement("This is a special exhibit about an ancient people called the Parabolae.");
  relics.addObject(oSign, 100, 240);
  relics.addObject(oChain, 350, 250);
  relics.addObject(oCoins, 550, 250);
  relics.addObject(oShield, 700, 250);
  relics.addObject(ExitToHallway, 700, 10);
  CoinsRoom.addObject(oCoinsScreen, 75, 100);
  CoinsRoom.addObject(exitX, 825, 5);
  CoinsRoom.setAnnouncement(oCoinsScreen.desc);
  CoinsRoom.setMathHint(oCoinsScreen.mathhint);
  ChainRoom.addObject(oChainScreen, 5, 5);
  ChainRoom.addObject(exitX, 830, 5);
  ChainRoom.setAnnouncement(oChainScreen.desc);
  ChainRoom.setMathHint(oChainScreen.mathhint);
  
  natural_history.setAnnouncement("This is the natural history wing.");
  natural_history.addObject(pScientist, 10, 220);
  natural_history.addObject(oBird, 170, 275);
  natural_history.addObject(oDinoFloor, 375, 400);
  natural_history.addObject(oDinosaur, 310, 105);
  natural_history.addObject(ExitToHallway, 790, 10);
  natural_history.addObject(SecurityDoor, 725, 162);
  NHFootprint.addObject(oNHFootprint, 200, 100);
  NHFootprint.addObject(exitX, 825, 5);
  NHFootprint.setAnnouncement(oNHFootprint.desc);
  NHFootprint.setMathHint(oNHFootprint.mathhint);
  
  security.setAnnouncement("This is the museum's security center.");
  security.setMathHint("Those wires are cut, but they're way off the ground! The thief must have stood on something, and had something to cut with...hmm...\nI bet it would help if you modeled this with a drawing.");
  security.addObject(pSecurity, 200, 200);
  security.addObject(oClock, 325, 100);
  security.addObject(oTerminal, 500, 100);
  security.addObject(oGarbage, 425, 380);
  security.addObject(oWires, 0, 0);
  security.addObject(SecurityExit, 10, 162);
  
  giftshop.setAnnouncement("You are in the museum gift shop. Department policy says you can't buy things while on duty.");
  giftshop.addObject(oCounter, 10, 300);
  giftshop.addObject(oRegister, 175, 238);
  giftshop.addObject(pGiftShop, 280, 250);
  giftshop.addObject(oModelDinosaur, 450, 300);
  giftshop.addObject(oPoster, 500, 150);
  giftshop.addObject(oMinicube, 700, 350);
  giftshop.addObject(LobbyDoor, 790, 10);
  
  cafe.setAnnouncement("This is the museum's cafe.");
  cafe.addObject(SupplyDoor, 300, 163);
  cafe.addObject(pBarista, 10, 225);
  cafe.addObject(oChair1, 150, 350);
  cafe.addObject(oCafeTable, 250, 350);
  cafe.addObject(oChair2, 375, 350);
  cafe.addObject(oCafeCounter, 500, 275);
  cafe.addObject(LobbyDoorLeft, 5, 5);
  
  closet.setAnnouncement("You're in the museum supply closet.");
  closet.addObject(SupplyExit, 10, 162);
  closet.addObject(oPuddle, 330, 400);
  closet.addObject(oMop2, 300, 300);
  closet.addObject(oMop1, 275, 255);
  closet.addObject(oBucket, 500, 375);
  closet.addObject(oStepladder, 600, 360);
  closet.addObject(oHammer, 650, 250);
  closet.addObject(oScrewdriver, 700, 250);
  closet.addObject(oWrench, 745, 250);
  closet.addObject(oHook, 800, 270);
  SupplyFootprint.addObject(oSupplyFootprint, 200, 100);
  SupplyFootprint.addObject(exitX, 825, 5);
  SupplyFootprint.setAnnouncement(oSupplyFootprint.desc);
  SupplyFootprint.setMathHint(oSupplyFootprint.mathhint);
  
  Report.setAnnouncement("Pick which three items you think are forgeries and who you think the burglar is.\nThen click SUBMIT to send your report to the department!");
  Report.addObject(exitX, 825, 5);
    
}
